using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.ComponentModel;
namespace APT.MS.Domain.Entities.SE
{
    /// <summary>
    /// 导航：附件
    /// </summary>
    [Description("导航：附件")]
    public class T_SE_SAFE_SURVEY_LIST_FILE : MesEntityBase
    {
        /// <summary>
        /// 试题ID
        /// </summary>
        [Description("调查ID")]
        [DataFieldForeignKey("Nav_Safe", "Nav_Files")]
        public Guid SAFE_ID { get; set; }
        /// <summary>
        /// 导航: 试题
        /// </summary>
        [Description("导航: 调查表")]
        public T_SE_SAFE_SURVEY Nav_Safe { get; set; }
        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid? IMG_FILE_ID { get; set; }
        /// <summary>
        /// 导航: 附件
        /// </summary>
        [Description("导航: 附件")]
        public T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
